searchNodes=[{"ref":"Tint.html","title":"Tint","type":"module","doc":"A library allowing calculations with colors and conversions between different colorspaces."},{"ref":"Tint.html#to_hsv/1","title":"Tint.to_hsv/1","type":"function","doc":"Converts the given color to HSV colorspace. Example iex&gt; Tint.to_hsv(Tint.RGB.new(255, 127, 30)) #Tint.HSV&lt;25.8°,88.2%,100%&gt;"},{"ref":"Tint.html#to_rgb/1","title":"Tint.to_rgb/1","type":"function","doc":"Converts the given color to RGB colorspace. Example iex&gt; Tint.to_rgb(Tint.HSV.new(25.8, 0.882, 1)) #Tint.RGB&lt;255,127,30&gt;"},{"ref":"Tint.html#t:color/0","title":"Tint.color/0","type":"type","doc":"A type representing a color."},{"ref":"Tint.OutOfRangeError.html","title":"Tint.OutOfRangeError","type":"exception","doc":"An exception that is returned or raised when a color is built with values that are out of the permitted range of values."},{"ref":"Tint.OutOfRangeError.html#t:t/0","title":"Tint.OutOfRangeError.t/0","type":"type","doc":""},{"ref":"Tint.Sigil.html","title":"Tint.Sigil","type":"module","doc":"A module providing a sigil to build colors."},{"ref":"Tint.Sigil.html#sigil_K/2","title":"Tint.Sigil.sigil_K/2","type":"function","doc":"A sigil to build a color. The sigil identifier is K (try using &quot;kolor&quot; as mnemonic) because C is already taken by the built-in charlist sigil. Examples First you need to import this particular module. import Tint.Sigil You can build a RGB color using a hex code, just like Tint.RGB.from_hex/1 does: iex&gt; ~K[#FFCC00] #Tint.RGB&lt;255,204,0&gt; Or using the red, green and blue components using the r modifier. iex&gt; ~K[255,204,0]r #Tint.RGB&lt;255,204,0&gt; HSV colors are also supported using the h modifier. iex&gt; ~K[48,1,1]h #Tint.HSV&lt;48°,100%,100%&gt;"},{"ref":"Tint.HSV.html","title":"Tint.HSV","type":"module","doc":"A color in the HSV (hue, saturation, value) colorspace."},{"ref":"Tint.HSV.html#from_tuple/1","title":"Tint.HSV.from_tuple/1","type":"function","doc":"Converts a tuple containing hue, saturation and value into a Tint.HSV struct."},{"ref":"Tint.HSV.html#new/3","title":"Tint.HSV.new/3","type":"function","doc":"Builds a new HSV color from hue, saturation and value color parts. Please always use this function to build a new HSV struct from hue, saturation and value color components. Examples iex&gt; Tint.HSV.new(25.8, 0.882, 1) #Tint.HSV&lt;25.8°,88.2%,100%&gt;"},{"ref":"Tint.HSV.html#to_tuple/1","title":"Tint.HSV.to_tuple/1","type":"function","doc":"Converts HSV color into a tuple containing the hue, saturation and value parts."},{"ref":"Tint.HSV.html#t:t/0","title":"Tint.HSV.t/0","type":"type","doc":""},{"ref":"Tint.RGB.html","title":"Tint.RGB","type":"module","doc":"A color in the RGB (red, green, blue) colorspace."},{"ref":"Tint.RGB.html#euclidean_distance/3","title":"Tint.RGB.euclidean_distance/3","type":"function","doc":"Calculates the distance of two colors using the Euclidean distance algorithm. Options :weights - A tuple defining the weights for the red, green and blue color components. Defaults to {1, 1, 1}."},{"ref":"Tint.RGB.html#from_hex/1","title":"Tint.RGB.from_hex/1","type":"function","doc":"Builds a new RGB color from the given hex code. Examples iex&gt; Tint.RGB.from_hex(&quot;#FF7F1E&quot;) {:ok, %Tint.RGB{red: 255, green: 127, blue: 30}} iex&gt; Tint.RGB.from_hex(&quot;invalid&quot;) :error"},{"ref":"Tint.RGB.html#from_hex!/1","title":"Tint.RGB.from_hex!/1","type":"function","doc":"Builds a new RGB color from the given hex code. Raises when the given hex code is invalid. Examples iex&gt; Tint.RGB.from_hex!(&quot;#FF7F1E&quot;) #Tint.RGB&lt;255,127,30&gt; iex&gt; Tint.RGB.from_hex!(&quot;invalid&quot;) ** (ArgumentError) Invalid hex code: invalid"},{"ref":"Tint.RGB.html#from_ratios/3","title":"Tint.RGB.from_ratios/3","type":"function","doc":"Builds a new RGB color from red, green and blue color ratios. Example iex&gt; Tint.RGB.from_ratios(1, 0.5, 0) #Tint.RGB&lt;255,128,0&gt;"},{"ref":"Tint.RGB.html#from_tuple/1","title":"Tint.RGB.from_tuple/1","type":"function","doc":"Converts a tuple containing hue, saturation and value into a Tint.RGB struct. Example iex&gt; Tint.RGB.from_tuple({255, 127, 30}) #Tint.RGB&lt;255,127,30&gt;"},{"ref":"Tint.RGB.html#human_euclidean_distance/2","title":"Tint.RGB.human_euclidean_distance/2","type":"function","doc":"A version of the Euclidean distance algorithm that uses weights that are optimized for human color perception."},{"ref":"Tint.RGB.html#nearest/3","title":"Tint.RGB.nearest/3","type":"function","doc":"Finds the nearest color for the specified color using the given color palette and an optional distance algorithm."},{"ref":"Tint.RGB.html#new/3","title":"Tint.RGB.new/3","type":"function","doc":"Builds a new RGB color from red, green and blue color values. Please always use this function to build a new RGB struct from red, green and blue color components. Examples iex&gt; Tint.RGB.new(0, 0, 0) #Tint.RGB&lt;0,0,0&gt; iex&gt; Tint.RGB.new(255, 127, 30) #Tint.RGB&lt;255,127,30&gt; iex&gt; Tint.RGB.new(256, -1, 0) ** (Tint.OutOfRangeError) Value 256 is out of range [0,255]"},{"ref":"Tint.RGB.html#to_hex/1","title":"Tint.RGB.to_hex/1","type":"function","doc":"Converts a RGB color to a hex code. Example iex&gt; Tint.RGB.to_hex(%Tint.RGB{red: 255, green: 127, blue: 30}) &quot;#FF7F1E&quot;"},{"ref":"Tint.RGB.html#to_tuple/1","title":"Tint.RGB.to_tuple/1","type":"function","doc":"Converts RGB color into a tuple containing the red, green and blue parts. Example iex&gt; Tint.RGB.to_tuple(%Tint.RGB{red: 255, green: 127, blue: 30}) {255, 127, 30}"},{"ref":"Tint.RGB.html#t:t/0","title":"Tint.RGB.t/0","type":"type","doc":""},{"ref":"Tint.HSV.Convertible.html","title":"Tint.HSV.Convertible","type":"protocol","doc":"A protocol that can be implemented by color structs to support HSV colorspace conversion."},{"ref":"Tint.HSV.Convertible.html#to_hsv/1","title":"Tint.HSV.Convertible.to_hsv/1","type":"function","doc":"Converts the specified color to the HSV colorspace."},{"ref":"Tint.HSV.Convertible.html#t:t/0","title":"Tint.HSV.Convertible.t/0","type":"type","doc":""},{"ref":"Tint.RGB.Convertible.html","title":"Tint.RGB.Convertible","type":"protocol","doc":"A protocol that can be implemented by color structs to support RGB colorspace conversion."},{"ref":"Tint.RGB.Convertible.html#to_rgb/1","title":"Tint.RGB.Convertible.to_rgb/1","type":"function","doc":"Converts the specified color to the RGB colorspace."},{"ref":"Tint.RGB.Convertible.html#t:t/0","title":"Tint.RGB.Convertible.t/0","type":"type","doc":""},{"ref":"readme.html","title":"Tint","type":"extras","doc":"Tint Elixir library to convert colors between different colorspaces."},{"ref":"readme.html#prerequisites","title":"Tint - Prerequisites","type":"extras","doc":"Erlang 20 or greater Elixir 1.8 or greater"},{"ref":"readme.html#installation","title":"Tint - Installation","type":"extras","doc":"If available in Hex, the package can be installed by adding tint to your list of dependencies in mix.exs: def deps do [ {:tint, &quot;~&gt; 0.2&quot;} ] end"},{"ref":"readme.html#usage","title":"Tint - Usage","type":"extras","doc":"red = Tint.RGB.new(255, 0, 0) yellow = Tint.RGB.from_hex!(&quot;#FFCC00&quot;) hsv = Tint.to_hsv(yellow) Tint.RGB.to_hex(yellow)"},{"ref":"readme.html#conversions","title":"Tint - Conversions","type":"extras","doc":"Following are conversions that are currently possible with this library. Hex Triplet -&gt; RGB RGB -&gt; Hex Triplet RGB -&gt; HSV HSV -&gt; RGB"},{"ref":"readme.html#docs","title":"Tint - Docs","type":"extras","doc":"Documentation can be generated with ExDoc and published on HexDocs. Once published, the docs can be found at https://hexdocs.pm/tint."}]